{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "cdcef88f",
   "metadata": {},
   "source": [
    "# Verzweigungen\n",
    "\n",
    "::: {.column-margin}\n",
    ":::\n",
    "\n",
    "### If\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "13854f8c",
   "metadata": {},
   "outputs": [],
   "source": [
    "x = 3\n",
    "y = 66\n",
    "\n",
    "if x<y \n",
    "    println(\"yes\")\n",
    "else\n",
    "    x = 10\n",
    "end"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "6b04de1f",
   "metadata": {},
   "source": [
    "Suchen wir mal danach:\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "6a207036",
   "metadata": {},
   "outputs": [],
   "source": [
    "methods(sqrt)"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "568d4980",
   "metadata": {},
   "source": [
    "das ist das Ende.\n"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "fbe323de",
   "metadata": {},
   "outputs": [],
   "source": [
    "using REPL, Markdown\n",
    "help = Core.eval(Main, REPL.helpmode(\"mod\"))\n",
    "helpstr=Markdown.plaininline(help)\n",
    "#print(helpstr)\n",
    "print(\"...\\n\", join(split(helpstr,'\\n')[22:30],'\\n'), \"\\n...\")"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Julia 1.8.5",
   "language": "julia",
   "name": "julia-1.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
